<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output method="text" />
	<xsl:strip-space elements="*"/> 
	
	<xsl:template match="xs:include"
		><xsl:if test="@schemaLocation"
			><xsl:variable name="doc" select="document(@schemaLocation)" 
			/><xsl:apply-templates select="$doc" 
		/></xsl:if
	></xsl:template>
	
	
  <xsl:template match="xs:schema[@targetNamespace]"
  	>#<xsl:value-of select="@targetNamespace" /><xsl:text>&#10;</xsl:text
  	><xsl:apply-templates 
  /></xsl:template>
  
  <xsl:template match="xs:element[@name]"
  	><xsl:value-of select="@name" /><xsl:text>&#10;</xsl:text
  	><xsl:apply-templates 
  /></xsl:template>
  	
  <xsl:template match="xs:attribute[@name]"
  	>@<xsl:value-of select='@name' /><xsl:text>&#10;</xsl:text
  	><xsl:apply-templates 
  /></xsl:template>	

  <xsl:template match="text()" />

  <xsl:template match="*"
  	><xsl:apply-templates 
  /></xsl:template>

</xsl:stylesheet>